This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 185611 - Add option for DHCP timeout [PATCH]
Add option for DHCP timeout [PATCH]
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-16 05:34 EST by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-13 04:35:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New option for NetworkManger - --dhcp-timeout=value (4.25 KB, patch)
2006-03-16 05:34 EST, Radek Vokal
no flags Details | Diff

  None (edit)
Description Radek Vokal 2006-03-16 05:34:54 EST
Description of problem:
My DHCP doesn't respond in 25secs, that's too short (I guess the DHCP is badly
set up, but that's not the topic here)

I've created a patch against FC4 NetworkManager-0.5.1-1.FC4.4, if you want to, I
can't rework it for FC5 also.

Version-Release number of selected component (if applicable):
NetworkManager-0.5.1-1.FC4.4

How reproducible:
On my pretty slow DHCP

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No response in 25s

Expected results:
get IP

Additional info:
Comment 1 Radek Vokal 2006-03-16 05:34:54 EST
Created attachment 126212 [details]
New option for NetworkManger - --dhcp-timeout=value
Comment 2 Radek Vokal 2006-03-16 06:41:20 EST
Whops, there's a small typo. The argument in getopt options is not optional, but
required_argument. Please change it. 
Comment 3 Radek Vokal 2006-05-13 04:35:53 EDT
Noone cares, the DHCP timeout was set up to a higher value upstream. Closing

Note You need to log in before you can comment on or make changes to this bug.